from MP_ili9341 import ili9341
import time
from machine import Pin, ADC
import math

# Inicjalizacja potencjometru na pinie ADC
potentiometer = ADC(0)

# Inicjalizacja przycisku na pinie D8
button = Pin(15, Pin.IN, Pin.PULL_UP)
        

tft = ili9341()

tft.fill(0xFFFF)
tft.draw_axes_with_arrows(160, 120, 320, 240, 0xF800)



while True:
    
    print("potencjometr: ", potentiometer.read())
    time.sleep(0.1)
    
    if button.value() == 1:
        if potentiometer.read()<250:
            tft.fill(0xFFFF)
# Narysuj układ współrzędnych
            tft.draw_axes_with_arrows(160, 120, 320, 240, 0xF800)
        # Parametry funkcji liniowej y = mx + b
            while True:    
                print("potencjometr: ", potentiometer.read())
                time.sleep(0.1)
                if button.value() == 1:
                    m =potentiometer.read()/1000  # Nachylenie
                    b = 0 # Przesunięcie na osi y
                    # Zakres wartości x, dla których rysujemy funkcję liniową
                    x_start = 0
                    x_end = 320
        
# Narysuj funkcję liniową
                    for x in range(x_start, x_end):
                        y = int(m * (x-160) + b)+120
                        tft.draw_pixel(x, y, 0xF800)  # Czerwony kolor w formacie RGB565
                    break
        if potentiometer.read()>250 and potentiometer.read()<500:
            tft.fill(0xFFFF)
# Narysuj układ współrzędnych
            tft.draw_axes_with_arrows(160, 120, 320, 240, 0xF800)
            
            while True:    
                print("potencjometr: ", potentiometer.read())
                time.sleep(0.1)
                if button.value() == 1:
# Parametry funkcji kwadratowej y = ax^2 + bx + c
                    a = potentiometer.read()/1000  # Współczynnik przy x^2
                    b = 0    # Współczynnik liniowy
                    c = 0    # Wyraz wolny

                    # Zakres wartości x, dla których rysujemy funkcję liniową
                    x_start = 0
                    x_end = 320
        
# Przesunięcie punktu (0, 0) do środka wyświetlacza
                    x_offset = 160
                    y_offset = 120
                    tft.draw_quadratic_function(a, b, c, 0xF800, x_offset, y_offset)
                    break
            
        if potentiometer.read()>500 and potentiometer.read()<750:
            tft.fill(0xFFFF)
# Narysuj układ współrzędnych
            tft.draw_axes_with_arrows(160, 120, 320, 240, 0xF800)
            while True:    
                print("potencjometr: ", potentiometer.read())
                time.sleep(0.1)
                if button.value() == 1:

                    frequency = potentiometer.read()*8/1000  # Częstotliwość
                    amplitude = 50  # Amplituda

          
                    x_start = 0
                    x_end = 320
        
# Przesunięcie punktu (0, 0) do środka wyświetlacza
                    x_offset = 160
                    y_offset = 120
                    tft.draw_sine_function(amplitude, frequency, 0xF800, x_offset, y_offset, step=5)
                    break
           
        if potentiometer.read()>750:
            tft.fill(0xFFFF)
# Narysuj układ współrzędnych
            tft.draw_axes_with_arrows(160, 120, 320, 240, 0xF800)
            while True:    
                print("potencjometr: ", potentiometer.read())
                time.sleep(0.1)
                if button.value() == 1:

                    a = potentiometer.read()*25/1000  # Współczynnik a
                    b = 0.01  # Współczynnik b
                    # Zakres wartości x, dla których rysujemy funkcję liniową
                    x_start = 0
                    x_end = 320
        
# Przesunięcie punktu (0, 0) do środka wyświetlacza
                    x_offset = 160
                    y_offset = 120
                    tft.draw_exponential_function(a, b, 0xF800, x_offset, y_offset, step=5)
                    break



